"use strict";

exports.__esModule = true;
exports.getDimensions = exports.getDimension = void 0;
var getUnit = function getUnit(value) {
  return value === 0 ? "0" : value + "px";
};
var getDimension = exports.getDimension = function getDimension(theme, size) {
  return typeof size === "number" ? getUnit(theme.constants.SIZE_SUB_UNIT * size) : "auto";
};
var getDimensions = exports.getDimensions = function getDimensions(theme, value) {
  return value.map(function (size) {
    return getDimension(theme, size);
  }).join(" ");
};